Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006320 [DCSS] Bug Report minor have not tried 2012-10-17 09:57 2013-12-11 09:39
Reporter Medar View Status public  
Assigned To Medar
Priority normal Resolution done  
Status closed   Product Branch 0.11 ancient branch
Summary 0006320: Shopping list has a wrong price
Description In my CSZO WebTiles game the shopping list shows a wrong price for a scroll of acquirement. The actual shop and ctrl+f show 2080 gp, while shopping list says 40 gp.
Additional Information
Tags patch
Attached Files ? file icon 0001-Update-shopping-list-price-when-item-is-identfied.patch [^] (2,507 bytes) 2013-04-12 08:18 [Show Content]

- Relationships

-  Notes
(0020367)
Medar (developer)
2012-10-17 10:01

Save game: http://dobrazupa.org/saves/Medar-crawl-0.11-121017-0801.tar.bz2 [^]
(0020368)
galehar (administrator)
2012-10-17 11:56

I guess it was unidentified when you added it to the shopping list? Then the price changed when you identified the scroll. Needs to update the shopping list prices when identifying items then.
(0022265)
Medar (developer)
2013-04-12 08:27

Added a patch to update the price.

I'll look into some additional functionality. At least asking the player whether they want to keep the now identified item on the list.
(0024685)
Medar (developer)
2013-12-11 09:39

Applied in trunk, 0.14-a0-1414-g846016a.

- Issue History
Date Modified Username Field Change
2012-10-17 09:57 Medar New Issue
2012-10-17 10:01 Medar Note Added: 0020367
2012-10-17 11:56 galehar Note Added: 0020368
2013-04-12 08:18 Medar File Added: 0001-Update-shopping-list-price-when-item-is-identfied.patch
2013-04-12 08:27 Medar Note Added: 0022265
2013-04-12 15:15 Medar Tag Attached: patch
2013-12-11 09:39 Medar Note Added: 0024685
2013-12-11 09:39 Medar Status new => resolved
2013-12-11 09:39 Medar Fixed in Branch => 0.14 development branch
2013-12-11 09:39 Medar Resolution open => done
2013-12-11 09:39 Medar Assigned To => Medar
2013-12-11 09:39 Medar Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker